Name:           libfprint

Version:        1.90.0
Release:        4%{?dist}

Summary:        Toolkit for fingerprint scanner

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/fprint/libfprint
Source0:        https://gitlab.freedesktop.org/libfprint/libfprint/uploads/1bba17b5daa130aa548bc7ea96dc58c4/%{name}-%{version}.tar.xz
ExcludeArch:    s390 s390x

BuildRequires:  rpm-build
BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  pkgconfig(glib-2.0) >= 2.50
BuildRequires:  pkgconfig(gio-2.0) >= 2.44.0
BuildRequires:  libgusb-devel >= 0.3.0
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  gtk-doc
# For the udev.pc to install the rules
BuildRequires:  systemd
BuildRequires:  gobject-introspection-devel
# For internal CI tests
BuildRequires:  cairo-devel
BuildRequires:  python3-cairo python3-gobject
#BuildRequires:  umockdev

Patch0001:	0001-udev-rules-Remove-debug-spew-from-udev-rules.patch
Patch0002:	0002-elan-Fix-potential-leak-of-dark-frame.patch
Patch0003:	0003-elan-Fix-switch-in-change_state.patch
Patch0004:	0004-synaptics-Correctly-unref-pointer-array.patch
Patch0005:	0005-synaptics-Add-an-explicit-assert-on-the-response.patch
Patch0006:	0006-upeksonly-Add-default-clauses-to-switch-statements.patch
Patch0007:	0007-image-device-Remove-unused-fpi_device_get_current_ac.patch
Patch0008:	0008-print-Free-temporary-col-variable.patch
Patch0009:	0009-print-Ensure-xyt-struct-is-not-leaked-during-deseria.patch
Patch0010:	0010-verify-Ensure-we-set-set-the-autoptr-value-to-NULL-a.patch
Patch0011:	0011-fpi-ssm-fp-device-Add-missing-copyright.patch
Patch0012:	0012-meson-Use-multiline-array-for-default-dirvers-listin.patch
Patch0013:	0013-meson-Use-preferred-syntax-everywhere.patch
Patch0014:	0014-meson-Avoid-repeating-the-needed-glib-version-multip.patch
Patch0015:	0015-image-device-Use-g_clear_handle_id-for-timeouts.patch
Patch0016:	0016-fp-print-Use-g_date_copy.patch
Patch0017:	0017-fp-image-device-Clear-the-pending-activation-timeout.patch
Patch0018:	0018-fp-image-device-Reactivate-in-idle-on-deactivation-c.patch
Patch0019:	0019-fp-image-device-Add-private-fp-image-device-state-pr.patch
Patch0020:	0020-fp-image-device-Use-a-GObject-signal-to-notify-image.patch
Patch0021:	0021-fpi-ssm-Remove-any-reference-to-fpi_timeout_add.patch
Patch0022:	0022-fpi-log-Set-fp_error-as-equal-to-g_critical.patch
Patch0023:	0023-fp-device-Support-variadic-arguments-to-error-functi.patch
Patch0024:	0024-drivers-Use-clearer-messages-using-parameters.patch
Patch0025:	0025-synaptics-Use-GDate-getters-to-retrieve-the-DMY-valu.patch
Patch0026:	0026-synaptics-Initialize-user_id-autoptr-to-NULL.patch
Patch0027:	0027-examples-Handle-the-cases-where-the-print-date-is-no.patch
Patch0028:	0028-fpi-ssm-Take-ownership-of-the-SSM-when-completing-it.patch
Patch0029:	0029-fpi-usb-transfer-Take-ownership-of-the-transfer-when.patch
Patch0030:	0030-fpi-ssm-Add-a-usb-transfer-callback-with-data-as-wea.patch
Patch0031:	0031-drivers-Use-more-fpi_ssm_usb_transfer_cb-when-possib.patch
Patch0032:	0032-fpi-ssm-Make-clearer-that-data-is-unused-in-fpi_ssm_.patch
Patch0033:	0033-umockdev-test-Make-possible-to-use-a-wrapper-to-run-.patch
Patch0034:	0034-virtual-image-Re-run-the-test-using-the-defined-wrap.patch
Patch0035:	0035-tests-Add-gdb-setup-to-run-tests-using-gdb.patch
Patch0036:	0036-tests-Add-setup-mode-to-run-tests-using-valgrind.patch
Patch0037:	0037-fp-device-Unref-the-usb-device-on-finalize.patch
Patch0038:	0038-fp-context-Run-dispose-on-the-usb-context-to-deal-wi.patch
Patch0039:	0039-fp-print-Unref-the-prints-on-finalize.patch
Patch0040:	0040-fp-print-Assert-the-prints-aren-t-set-when-initializ.patch
Patch0041:	0041-fp-print-Unref-print-data-and-get-static-strings-whe.patch
Patch0042:	0042-virtual-image-Also-unref-the-object-when-closing-a-t.patch
Patch0043:	0043-fp-device-Use-an-autopointer-and-steal-the-print-whe.patch
Patch0044:	0044-fp-device-Unref-the-print-once-we-ve-notified-the-pr.patch
Patch0045:	0045-fp-device-Mark-user-data-in-FpEnrollProgress-as-tran.patch
Patch0046:	0046-fp-device-Use-g_clear_error-instead-of-check-free.patch
Patch0047:	0047-tests-Use-a-loop-for-generating-drivers-tests-and-us.patch
Patch0048:	0048-fp-print-Set-the-aligned_data-as-the-data-used-by-th.patch
Patch0049:	0049-tests-Fix-endianness-issue-in-test-suite.patch
Patch0050:	0050-assembling-Use-fixed-point-for-image-assembly.patch
Patch0051:	0051-Fix-indentation-issues-using-newer-uncrustify.patch
Patch0052:	0052-virtual-image-Fix-driver-reading-insufficient-data.patch
Patch0053:	0053-synaptics-Use-an-autoptr-to-handle-the-FpiUsbTransfe.patch
Patch0054:	0054-synaptics-Close-the-usb-device-if-reset-failed.patch
Patch0055:	0055-vfs301-Use-a-transfer-autopointer-to-cleanup-it-on-s.patch
Patch0056:	0056-fpi-ssm-Also-bug-on-negative-state-value.patch
Patch0057:	0057-fpi-device-Make-possible-to-set-a-DestroyNotify-for-.patch
Patch0058:	0058-fpi-ssm-Add-possibility-to-jump-to-a-state-or-next-o.patch
Patch0059:	0059-drivers-Use-fpi_ssm_next_state_delayed-instead-of-cu.patch
Patch0060:	0060-fpi-ssm-Clarify-the-ownership-of-error-in-fpi_ssm_ma.patch
Patch0061:	0061-drivers-Use-SSM-delayed-actions-when-possible.patch
Patch0062:	0062-fpi-ssm-Make-delayed-actions-cancellable.patch
Patch0063:	0063-fpi-ssm-Bug-on-handler-set-to-a-NULL-function.patch
Patch0064:	0064-fpi-ssm-Mark-a-fpi-ssm-completed-on-delay.patch
Patch0065:	0065-tests-Fix-image-writing-on-big-endian.patch
Patch0066:	0066-fpi-usb-Use-unsigned-length-for-USB-async-transfers.patch
Patch0067:	0067-drivers-examples-Don-t-use-Wno-pointer-sign-and-fix-.patch
Patch0068:	0068-fp-print-Clear-the-data-not-the-description-when-set.patch
Patch0069:	0069-meson-Use-add_project_arguments-for-common-cflags.patch
Patch0070:	0070-cpp-test-Fix-indentation.patch
Patch0071:	0071-meson-Build-nbis-separately-to-allow-changing-flags.patch
Patch0072:	0072-meson-Add-the-include-directories-to-deps.patch
Patch0073:	0073-nbis-Add-a-global-include-file-with-all-the-definiti.patch
Patch0074:	0074-cleanup-Don-t-make-nbis-depend-on-libfprint-built-so.patch
Patch0075:	0075-nbis-log-Don-t-use-old-style-function-declarations.patch
Patch0076:	0076-nbis-Make-the-extern-global-bozworth-y-variable-as-b.patch
Patch0077:	0077-storage-Include-storage-header-so-that-we-have-decla.patch
Patch0078:	0078-fp-device-Remove-unused-timeout-function-and-source-.patch
Patch0079:	0079-cleanup-Use-static-functions-for-non-declared-method.patch
Patch0080:	0080-gtk-demo-Use-G_DECLARE-to-avoid-missing-declarations.patch
Patch0081:	0081-vfs5011-Cast-gpointer-data-values-to-proper-type-to-.patch
Patch0082:	0082-vfs0050-Use-proper-casting-summing-pointers-first.patch
Patch0083:	0083-meson-Include-fpi-context.h-in-generated-fp-drivers..patch
Patch0084:	0084-meson-Move-generated-source-to-fpi-prefix-and-use-mo.patch
Patch0085:	0085-meson-Use-stricter-C-arguments-to-compile-libfprint.patch
Patch0086:	0086-elan-Fix-internal-state-machine-to-ensure-correct-de.patch
Patch0087:	0087-image-device-Prevent-deactivation-when-waiting-for-f.patch
Patch0088:	0088-uru4000-Fix-state-change-from-IRQ-handler.patch
Patch0089:	0089-uru4000-Fix-control-transfer-request-type.patch
Patch0090:	0090-fpi-ssm-Support-named-SSMs-and-use-a-fallback-macro.patch
Patch0091:	0091-fpi-ssm-Improve-debugging-of-SSM-using-driver-infos.patch
Patch0092:	0092-vfs0051-Use-named-SSMs-for-usb-async-exchanges.patch
Patch0093:	0093-image-device-Print-warning-for-incorrect-deactivatio.patch
Patch0094:	0094-virtual-image-Only-print-warnings-for-actual-errors.patch
Patch0095:	0095-virtual-image-Allow-fine-control-over-the-finger-sta.patch
Patch0096:	0096-tests-Update-helper-functions-for-new-virtual-image-.patch
Patch0097:	0097-tests-Test-finger-removal-after-minutiae-scan-comple.patch
Patch0098:	0098-print-Fix-match-error-propagation.patch
Patch0099:	0099-synaptics-Fix-problem-after-match-is-failed.patch
Patch0100:	0100-fp-device-Use-different-pointers-for-device-handlers.patch
Patch0101:	0101-docs-Don-t-ignore-the-deprecated-API_EXPORTED-defini.patch
Patch0102:	0102-tests-meson-Set-the-typelib-env-var-only-if-we-have-.patch
Patch0103:	0103-fp-device-Add-a-open-property-and-method-to-check-it.patch
Patch0104:	0104-libfprint-Introduce-libfprint_private-static-library.patch
Patch0105:	0105-fp-device-Move-fpi-code-into-its-own-unit-that-can-b.patch
Patch0106:	0106-fp-image-device-Move-fpi-code-into-its-own-unit-that.patch
Patch0107:	0107-fp-image-fp-print-Move-private-methods-to-own-code-u.patch
Patch0108:	0108-meson-Use-files-to-track-the-map-file-presence.patch
Patch0109:	0109-meson-Rely-on-libfprint-dependency-to-get-root_inclu.patch
Patch0110:	0110-fprint-Move-drivers-to-private-internal-library.patch
Patch0111:	0111-meson-Fix-syntax-in-the-auto-generated-fpi-drivers-f.patch
Patch0112:	0112-fpi-context-Make-fpi_get_driver_types-to-return-an-a.patch
Patch0113:	0113-fp-context-Use-an-env-to-define-a-whitelist-of-drive.patch
Patch0114:	0114-fp-context-tools-Use-auto-ptr-to-handle-GTypeClass-o.patch
Patch0115:	0115-tests-Add-basic-unit-tests-for-fp-context.patch
Patch0116:	0116-tests-Add-fp-device-basic-unit-tests.patch
Patch0117:	0117-fp-device-Call-identify-device-class-method-on-ident.patch
Patch0118:	0118-fpi-device-Clarify-ownership-of-parameters-for-progr.patch
Patch0119:	0119-test-device-fake-Add-fake-test-driver-to-verify-fpi-.patch
Patch0120:	0120-tests-meson-Support-unit-tests-non-depending-on-virt.patch
Patch0121:	0121-tests-Add-fpi-device-tests.patch
Patch0122:	0122-fpi-ssm-Use-same-argument-names-of-header-file.patch
Patch0123:	0123-fpi-ssm-Define-autoptr-cleanup-function.patch
Patch0124:	0124-fpi-ssm-Bug-on-wrong-state-passed-to-jump_to_state_d.patch
Patch0125:	0125-fpi-ssm-Add-debug-message-when-a-delayed-state-chang.patch
Patch0126:	0126-fpi-ssm-Make-clear-that-the-completed-callback-owns-.patch
Patch0127:	0127-fpi-ssm-Clear-delayed-actions-for-parent-and-child-o.patch
Patch0128:	0128-tests-Add-unit-tests-for-fpi-ssm.patch
Patch0129:	0129-meson-Split-single-line-dependencies-to-reduce-the-d.patch
Patch0130:	0130-driver_ids.h-Remove-the-legacy-ID-file.patch
Patch0131:	0131-synaptics-Use-local-variable-rather-than-re-fetching.patch
Patch0132:	0132-tests-Ensure-objects-are-free-ed-at-the-end-of-tests.patch
Patch0133:	0133-examples-Fix-double-device-closing-in-manage-prints.patch
Patch0134:	0134-elan-Do-not-leak-converted-frames.patch
Patch0135:	0135-meson-Add-missing-dependency-on-fp-enum.h-for-privat.patch
Patch0136:	0136-tests-Fix-stack-corruption-in-FpiSsm-test.patch
Patch0137:	0137-fpi-ssm-fpi-usb-transfer-Use-fwd-declarations-to-avo.patch
Patch0138:	0138-meson-Parse-all-private-headers.patch
Patch0139:	0139-meson-List-deps-in-multiple-lines-to-have-better-dif.patch
Patch0140:	0140-meson-No-need-to-redefine-default-pkgconfig-install-.patch
Patch0141:	0141-meson-Don-t-install-fpi-enums.patch
Patch0142:	0142-meson-Use-more-meson-s-project_name.patch
Patch0143:	0143-meson-Use-soversion-everywhere.patch
Patch0144:	0144-meson-Add-fp-image-device-to-public-headers.patch
Patch0145:	0145-cleanup-Remove-fp_internal.h-and-update-drivers_api..patch
Patch0146:	0146-cleanup-Use-pragma-once-everywhere.patch
Patch0147:	0147-cleanup-Use-FPI-prefix-for-all-the-internal-enum-typ.patch
Patch0148:	0148-tests-Add-a-reference-to-the-enrolled-print-before-r.patch
Patch0149:	0149-meson-Define-enum-dependency-and-ensure-we-generate-.patch
Patch0150:	0150-meson-Fix-syntax-for-fpi_enums-generation-call.patch
Patch0151:	0151-libfprint-Make-sure-we-install-fp-enums.h-in-the-rig.patch
Patch0152:	0152-meson-Bump-dependency-on-0.49.0.patch
Patch0153:	0153-Prefix-internal-properties-signals-with-fpi-and-anno.patch
Patch0154:	0154-fp-print-Add-aliases-for-First-and-Last-finger-in-ou.patch
Patch0155:	0155-examples-Iterate-through-fingers-via-first-last-refs.patch
Patch0156:	0156-fp-print-Add-FP_FINGER_IS_VALID.patch
Patch0157:	0157-fpi-assembling-Accept-error-of-zero.patch
Patch0158:	0158-fpi-assembling-Fix-offsets-to-be-relative-to-the-pre.patch
Patch0159:	0159-tests-Set-MESON_SOURCE_ROOT-to-source-root-not-build.patch
Patch0160:	0160-tests-Add-some-frame-assembly-unit-tests.patch
Patch0161:	0161-examples-Fix-possible-use-after-free-in-storage-code.patch
Patch0162:	0162-examples-Do-not-free-data-returned-by-g_variant_get_.patch
Patch0163:	0163-storage-Do-not-free-image-data-owned-by-FpPrint.patch
Patch0164:	0164-examples-Save-image-even-on-match-failure.patch
Patch0165:	0165-examples-Continue-verification-when-return-is-presse.patch
Patch0166:	0166-examples-Do-not-re-prompt-the-finger-when-repeating-.patch
Patch0167:	0167-image-device-Fix-reading-default-values-from-the-cla.patch
Patch0168:	0168-image-device-Fix-enroll-continuation-after-retry-err.patch
Patch0169:	0169-elan-Add-umockdev-based-test.patch
Patch0170:	0170-tests-Add-more-notes-about-umockdev-recording-creati.patch
Patch0171:	0171-tests-Always-add-dummy-skipping-tests.patch
Patch0172:	0172-device-Fix-potential-memory-leak-of-progress_cb-user.patch
Patch0173:	0173-upekts-Remove-unused-argument-from-deinitsm_new.patch
Patch0174:	0174-device-Better-define-ownership-passing-for-results.patch
Patch0175:	0175-image-device-Set-cancelling-when-errors-are-reported.patch
Patch0176:	0176-tests-Add-error-reporting-tests-based-on-virtual-dri.patch
Patch0177:	0177-image-device-Avoid-invalid-state-transition-on-cance.patch
Patch0178:	0178-compat-Add-compatibility-defines-for-older-GLib.patch
Patch0179:	0179-tests-Return-skip-error-if-import-fails.patch
Patch0180:	0180-synaptics-Really-check-if-a-print-is-device-database.patch
Patch0181:	0181-synaptics-Report-a-verify-complete-error-on-unexpect.patch
Patch0200:	0001-tests-Add-missing-NULL-terminator-to-g_object_new.patch

%description
libfprint offers support for consumer fingerprint reader devices.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -S git

%build
# Include the virtual image driver for integration tests
%meson -Dx11-examples=false -Ddrivers=all
%meson_build

%install
%meson_install

%ldconfig_scriptlets

%check
%meson_test

%files
%license COPYING
%doc NEWS TODO THANKS AUTHORS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_udevrulesdir}/60-fprint-autosuspend.rules

%files devel
%doc HACKING.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}2.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/libfprint/

%changelog
* Mon Jan 20 2020 Benjamin Berg <bberg@redhat.com> - 1.90.0-4
- Add patch to fix unit-test failure

* Wed Jan 15 2020 Benjamin Berg <bberg@redhat.com> - 1.90.0-3
- Pull in upstream fixes from the not-yet released 1.90.1
- Related: rhbz1791256

* Fri Nov 22 2019 Benjamin Berg <bberg@redhat.com> - 1.90.0-2
- Add patch to remove debug spew from udev rules
- Add patch to fix compilation error
- Related: rhbz1740752

* Wed Oct 09 2019 Benjamin Berg <bberg@redhat.com> - 1.90.0-1
+ libfprint-1.90.0-1
- Update to 1.90.0
- Resolves: rhbz1740752

* Tue Jul 17 2018 Bastien Nocera <bnocera@redhat.com> - 0.8.2-1
+ libfprint-0.8.2-1
- Update to 0.8.2

* Fri Jun 15 2018 Bastien Nocera <bnocera@redhat.com> - 0.8.1-1
+ libfprint-0.8.1-1
- Update to 0.8.1

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-4
- Switch to %%ldconfig_scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Bastien Nocera <bnocera@redhat.com> - 0.7.0-1
+ libfprint-0.7.0-1
- Update to 0.7.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 03 2015 Bastien Nocera <bnocera@redhat.com> 0.6.0-1
- Update to 0.6.0

* Wed Dec 17 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.5.1-5
- error opening ATTR{/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/power/control} for writing (#950205)
- %%build: --disable-silent-rules

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.5.1-2
- Drop INSTALL from docs.

* Sun Aug 11 2013 Bastien Nocera <bnocera@redhat.com> 0.5.1-1
- Update to 0.5.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 03 2012 Bastien Nocera <bnocera@redhat.com> 0.5.0-1
- Update to 0.5.0
- Re-add not useless udev rules

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Matthias Clasen <mclasen@redhat.com> - 0.4.0-4
- Drop broken and useless udev rules (#744637)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 21 2011 Adam Jackson <ajax@redhat.com> 0.4.0-2
- Rebuild without Requires: ConsoleKit, going away in F17

* Thu Nov 10 2011 Bastien Nocera <bnocera@redhat.com> 0.4.0-1
- Update to 0.4.0

* Mon Nov 07 2011 Adam Jackson <ajax@redhat.com> 0.3.0-3
- Rebuild for libpng 1.5

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Bastien Nocera <bnocera@redhat.com> 0.3.0-1
- Update to 0.3.0

* Thu Aug 19 2010 Bastien Nocera <bnocera@redhat.com> 0.2.0-1
- Update to 0.2.0

* Wed Jun 30 2010 Matthew Garrett <mjg@redhat.com> 0.1.0-16.pre3
- Fix #505438 to avoid message on boot on some systems

* Tue Jun 01 2010 Bastien Nocera <bnocera@redhat.com> 0.1.0-16.pre2
- Add README to package

* Wed Jan 20 2010 Bastien Nocera <bnocera@redhat.com> 0.1.0-15.pre2
- Require hal-filesystem for the fdi file

* Tue Dec 01 2009 Bastien Nocera <bnocera@redhat.com> 0.1.0-14.pre2
- Update AES1610 patch

* Mon Nov 30 2009 Bastien Nocera <bnocera@redhat.com> 0.1.0-13.pre2
- Add aes1610 driver (#499732)

* Thu Oct 01 2009 Bastien Nocera <bnocera@redhat.com> 0.1.0-12.pre2
- Update udev autosuspend rules and disable SGS Thomson reader

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.1.0-11.pre2
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10.pre2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com> 0.1.0-9.pre2
- Use gdk-pixbuf for image manipulation instead of ImageMagick (#472103)

* Sat Jun 20 2009 Bastien Nocera <bnocera@redhat.com> 0.1.0-8.pre2
- Update to 0.1.0-pre2

* Tue Jun 09 2009 Matthew Garrett <mjg@redhat.com> 0.1.0-7.pre1
- fprint-add-udev-rules.patch - build udev rules for autosuspend
- move hal fdi into the main package rather than -devel
- add autoreconf as a build depend while carrying the udev diff

* Tue Apr 21 2009 Karsten Hopp <karsten@redhat.com> 0.1.0-6.pre1.1
- Excludearch s390 s390x, we don't have USB devices there and this package
  doesn't build without USB support

* Mon Mar 09 2009 pingou <pingou@pingoured.fr> - 0.1.0-6.pre1
- Rebuilt for rawhide

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5.pre1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 0.1.0-4.pre1
- rebuild with new openssl

* Tue Nov 25 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-3.pre1
- Fix possible crasher in libfprint when setting up the fds for polling

* Mon Nov 24 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-2.pre1
- And add some API docs

* Tue Nov 18 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-1.pre1
- Fix build

* Tue Nov 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.1.0-0.pre1
- Update to 0.1.0-pre1

* Tue May 13 2008  Pingou <pingoufc4@yahoo.fr> 0.0.5-6
- Correction on the Build Requires

* Tue May 13 2008  Pingou <pingoufc4@yahoo.fr> 0.0.5-5
- Correction on the Build Requires

* Tue May 13 2008  Pingou <pingoufc4@yahoo.fr> 0.0.5-4
- Update the Build Requires due to the change on ImageMagick

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.5-3
- Autorebuild for GCC 4.3

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 0.0.5-2
- Change on the BuildRequires

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 0.0.5-1
- Update to version 0.0.5

* Sat Dec 01 2007 Pingou <pingoufc4@yahoo.fr> 0.0.4-3
- Changes on the Requires

* Sun Nov 25 2007 Pingou <pingoufc4@yahoo.fr> 0.0.4-2
- Changes on the Requires

* Sat Nov 24 2007 Pingou <pingoufc4@yahoo.fr> 0.0.4-1
- First release
